# &kde; användarhandbok

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
2009-09-10
2.13 (&kde; 4.3.1)
K-skrivbordsmiljön
ark
1

# `ark`

Ett arkiveringsverktyg för &kde;

    ark -b -a -e -c -f  suffix -p -t  fil -d -o  katalog Generella väljare för &kde; Generella väljare för &Qt;

## Beskrivning

&ark; är ett program för att hantera diverse komprimerade filformat i &kde;-miljön. Arkiv kan visas, packas upp, skapas och ändras inne i &ark;. Programmet hanterar diverse format som tar, gzip, bzip2, zip och rar (om lämpliga bibliotek eller kommandoradsprogram är installerade).

## Användningslägen

&ark; kan antingen användas som ett fristående program med grafiskt användargränssnitt, samt som ett kommandoradsprogram för att utföra vissa specifika uppgifter.

Om det startas utan väljarna -b (--batch) eller -c (--add), startas &ark; som ett vanligt program med grafiskt användargränssnitt.

När alternativet -b (--batch) används, kan &ark; användas för att packa upp innehållet i en eller flera filer direkt från kommandoraden, utan att starta dess grafiska användargränssnitt.

När alternativet -c (--add) används, frågar &ark; efter filer som ska läggas till i ett nytt arkiv eller i ett befintligt arkiv.

## Väljare

`-d, --dialog`

  Visa en dialogruta för att ange alternativ för åtgärderna batch eller add.

`-o, --destination katalog`

  Ställ in standardkatalogen för uppackning till katalog. Om den inte anges, används aktuell sökväg.

### Väljare för att lägga till filer

`-c, --add`

  Fråga användaren efter namnet på arkivet och lägg till angivna filer i det. Avsluta när det är färdigt.

`-t, --add-to filnamn`

  Lägg till angivna filer i filnamn. Skapa arkivet om det inte finns. Avsluta när det är färdigt.

`-p, --changetofirstpath`

  Byt arbetskatalog till den första posten och lägg till alla andra poster i förhållande till den.

`-f, --autofilename suffix`

  Välj automatiskt filnamn med valt suffix (till exempel rar, tar.gz, zip, eller någon annan typ som stöds).

### Alternativ för uppackning i bakgrunden

`b, --batch`

  Använd bakgrundsgränssnittet istället för den vanliga dialogrutan. Alternativet är underförstått om mer än en webbadress anges.

`-e, --autodestination`

  Destinationsvärdet ställs in till sökvägen för den första filen som anges.

`-a, --autosubfolder`

  Arkivets innehåll läses, och om det detekteras att det inte innehåller en enda katalog, skapas en underkatalog med arkivnamnet.

## Exempel

``ark` `--batch` arkiv.tar.bz2`

  Packar upp arkiv.tar.bz2 i arbetskatalogen utan att visa något grafiskt användargränssnitt.

``ark` `-b` `-d` arkiv.tar.bz2 arkiv2.zip`

  Visar först en dialogruta med uppackningsalternativ och packar därefter upp både arkiv.tar.bz2 och arkiv2.zip i katalogen som väljes i dialogrutan.

``ark` `--add-to` mitt-arkiv.zip foto1.jpg text.txt`

  Skapar mitt-arkiv.zip om det inte finns och lägger därefter till foto1.jpg och text.txt i det.

## Upphovsmän

&ark; underhålls för närvarande av &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Den här manualsidan skrevs först av &Lauri.Watts; &Lauri.Watts.mail; 2005 för &kde; 3.4 och uppdaterades senare 2009 av &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.